# Harmony::Api

A Ruby client for interacting with [Harmony's](https://harmony.one) blockchain.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'harmony-api'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install harmony-api

## Usage

```ruby
client = Harmony::Api::V1::Client.new(network: :mainnet, shard: 0)
client.get_all_validator_information
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/SebastianJ/harmony-api. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/SebastianJ/harmony-api/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Harmony::Api project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/SebastianJ/harmony-api/blob/master/CODE_OF_CONDUCT.md).
